Public Interface IGPSProcessor
    Function ProcessData(rawData As String, uniqueKey As String) As GPSProcessorResult
    Function ProcessData(rawData As Byte(), uniqueKey As String) As GPSProcessorResult

    Sub Cleanup(uniqueKey As String)

End Interface
